Bug 1564677 - [abrt] nouveau_connector_hotplug: BUG: unable to handle kernel NULL pointer dereference at 0000000000000020 [nouveau]
Summary: [abrt] nouveau_connector_hotplug: BUG: unable to handle kernel NULL pointer d...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b429147d315cfef5bd078cbe27e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 21:02 UTC by Nikolay
Modified: 2018-11-30 21:02 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:02:26 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (72.45 KB, text/plain)
2018-04-06 21:02 UTC, Nikolay
no flags Details

Description Nikolay 2018-04-06 21:02:50 UTC
Description of problem:
First start after installation.

Additional info:
reporter:       libreport-2.9.2
BUG: unable to handle kernel NULL pointer dereference at 0000000000000020
IP: nv50_mstm_service+0x18/0xb0 [nouveau]
PGD 0 
P4D 0 
Oops: 0000 [#1] SMP
Modules linked in: nouveau(+) crc32c_intel sdhci_pci serio_raw mxm_wmi sdhci mmc_core i2c_algo_bit drm_kms_helper yenta_socket firewire_ohci ttm firewire_core crc_itu_t drm e1000e ptp pps_core wmi video
CPU: 3 PID: 49 Comm: kworker/3:1 Not tainted 4.13.9-300.fc27.x86_64 #1
Hardware name: Hewlett-Packard HP EliteBook 8440p/172B, BIOS 68CCU Ver. F.60 11/11/2015
Workqueue: events nvif_notify_work [nouveau]
task: ffff8b6b71fd0000 task.stack: ffffa96fc101c000
RIP: 0010:nv50_mstm_service+0x18/0xb0 [nouveau]
RSP: 0018:ffffa96fc101fdc0 EFLAGS: 00010286
RAX: ffff8b6b6d148000 RBX: ffff8b6b71afe418 RCX: ffff8b6b6d148000
RDX: ffff8b6b6d618b9c RSI: 000000000000002b RDI: 0000000000000000
RBP: ffffa96fc101fde8 R08: ffff8b6b6cccc248 R09: ffff8b6b6d148018
R10: 0000000000000040 R11: 0000000000000000 R12: 0000000000000008
R13: ffff8b6b71afe000 R14: 0000000000000000 R15: ffff8b6b71c91000
FS:  0000000000000000(0000) GS:ffff8b6b7bcc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000020 CR3: 00000001bee09000 CR4: 00000000000006e0
Call Trace:
 nouveau_connector_hotplug+0x61/0x110 [nouveau]
 nvif_notify_work+0x27/0xa0 [nouveau]
 ? pwq_dec_nr_in_flight+0x49/0xa0
 process_one_work+0x193/0x3c0
 worker_thread+0x4a/0x3a0
 kthread+0x125/0x140
 ? process_one_work+0x3c0/0x3c0
 ? kthread_park+0x60/0x60
 ret_from_fork+0x25/0x30
Code: eb e1 45 31 ed eb dc 66 90 66 2e 0f 1f 84 00 00 00 00 00 66 66 66 66 90 55 48 89 e5 41 54 53 4c 8d 67 08 48 83 ec 18 c6 45 df 01 <48> 8b 5f 20 65 48 8b 04 25 28 00 00 00 48 89 45 e8 31 c0 48 c7 
RIP: nv50_mstm_service+0x18/0xb0 [nouveau] RSP: ffffa96fc101fdc0
CR2: 0000000000000020

Comment 1 Nikolay 2018-04-06 21:02:55 UTC
Created attachment 1418359 [details]
File: dmesg

Comment 2 Nikolay 2018-04-15 21:33:14 UTC
Description of problem:
Start this pc

Version-Release number of selected component:
kernel-core-4.13.9-300.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.13.9-300.fc27.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: nouveau_connector_hotplug
kernel:         4.13.9-300.fc27.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
BUG: unable to handle kernel NULL pointer dereference at 0000000000000020
IP: nv50_mstm_service+0x18/0xb0 [nouveau]
PGD 0 
P4D 0 
Oops: 0000 [#1] SMP
Modules linked in: nouveau(+) crc32c_intel mxm_wmi i2c_algo_bit drm_kms_helper ttm serio_raw sdhci_pci firewire_ohci sdhci firewire_core mmc_core crc_itu_t e1000e yenta_socket drm ptp pps_core wmi video
CPU: 2 PID: 404 Comm: kworker/2:2 Not tainted 4.13.9-300.fc27.x86_64 #1
Hardware name: Hewlett-Packard HP EliteBook 8440p/172B, BIOS 68CCU Ver. F.60 11/11/2015
Workqueue: events nvif_notify_work [nouveau]
task: ffff90ddeb2fa500 task.stack: ffffa5a5c16bc000
RIP: 0010:nv50_mstm_service+0x18/0xb0 [nouveau]
RSP: 0018:ffffa5a5c16bfdc0 EFLAGS: 00010286
RAX: ffff90ddecdf9e00 RBX: ffff90ddedbe5418 RCX: ffff90ddecdf9e00
RDX: ffff90ddedbe0b9c RSI: 000000000000002b RDI: 0000000000000000
RBP: ffffa5a5c16bfde8 R08: ffff90ddec918490 R09: ffff90ddecdf9e18
R10: 0000000000000040 R11: 0000000000000000 R12: 0000000000000008
R13: ffff90ddedbe5000 R14: 0000000000000000 R15: ffff90ddeb062600
FS:  0000000000000000(0000) GS:ffff90ddfbc80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000020 CR3: 000000022cd64000 CR4: 00000000000006e0
Call Trace:
 nouveau_connector_hotplug+0x61/0x110 [nouveau]
 nvif_notify_work+0x27/0xa0 [nouveau]
 ? __schedule+0x241/0x860
 process_one_work+0x193/0x3c0
 worker_thread+0x4a/0x3a0
 kthread+0x125/0x140
 ? process_one_work+0x3c0/0x3c0
 ? kthread_park+0x60/0x60
 ret_from_fork+0x25/0x30
Code: eb e1 45 31 ed eb dc 66 90 66 2e 0f 1f 84 00 00 00 00 00 66 66 66 66 90 55 48 89 e5 41 54 53 4c 8d 67 08 48 83 ec 18 c6 45 df 01 <48> 8b 5f 20 65 48 8b 04 25 28 00 00 00 48 89 45 e8 31 c0 48 c7 
RIP: nv50_mstm_service+0x18/0xb0 [nouveau] RSP: ffffa5a5c16bfdc0
CR2: 0000000000000020

Comment 3 Ben Cotton 2018-11-27 16:10:10 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 21:02:26 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.